i2c_use_client
Prev | Chapter 27. I2C and SMBus Subsystem | Next

## Name

i2c_use_client — increments the reference count of the i2c client structure

## Synopsis

`struct i2c_client * i2c_use_client (` | struct i2c_client * | client`)`;

## Arguments

`client`

  the client being referenced

## Description

Each live reference to a client should be refcounted. The driver model does that automatically as part of driver binding, so that most drivers don't

## need to do this explicitly

they hold a reference until they're unbound from the device.

A pointer to the client with the incremented reference counter is returned.

Prev | Up | Next
i2c_del_driver | Home | i2c_release_client